Package com.typesafe.config.impl

# Class ConfigImpl

java.lang.Object
com.typesafe.config.impl.ConfigImpl

public class ConfigImpl extends Object
Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

## Constructor Summary

Constructors
Constructor
Description
`ConfigImpl()`

## Method Summary

Modifier and Type
Method
Description
`static Config`
`computeCachedConfig(ClassLoader loader, String key, Callable<Config> updater)`
`static Config`
`defaultReference(ClassLoader loader)`
`static Config`
`defaultReferenceUnresolved(ClassLoader loader)`
This returns the unresolved reference configuration, but before doing so, it verifies that the reference configuration resolves, to ensure that it is self contained and doesn't depend on any higher level configuration files.
`static Config`
`emptyConfig(String originDescription)`
`static Config`
`envVariablesAsConfig()`
`static Config`
`envVariablesOverridesAsConfig()`
`static ConfigValue`
`fromAnyRef(Object object, String originDescription)`
`static ConfigObject`
`fromPathMap(Map<String,? extends Object> pathMap, String originDescription)`
`static ConfigOrigin`
`newEnvVariable(String description)`
`static ConfigOrigin`
`newFileOrigin(String filename)`
`static ConfigOrigin`
`newSimpleOrigin(String description)`
`static ConfigOrigin`
`newURLOrigin(URL url)`
`static ConfigObject`
`parseFileAnySyntax(File basename, ConfigParseOptions baseOptions)`
`static ConfigObject`
`parseResourcesAnySyntax(Class<?> klass, String resourceBasename, ConfigParseOptions baseOptions)`
`static ConfigObject`
`parseResourcesAnySyntax(String resourceBasename, ConfigParseOptions baseOptions)`
`static void`
`reloadEnvVariablesConfig()`
`static void`
`reloadEnvVariablesOverridesConfig()`
`static void`
`reloadSystemPropertiesConfig()`
`static Config`
`systemPropertiesAsConfig()`
`static void`
`trace(int indentLevel, String message)`
`static void`
`trace(String message)`
`static boolean`
`traceLoadsEnabled()`
`static boolean`
`traceSubstitutionsEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigImpl

public ConfigImpl()

## Method Details

### computeCachedConfig

public static Config computeCachedConfig(ClassLoader loader, String key, Callable<Config> updater)

### parseResourcesAnySyntax

public static ConfigObject parseResourcesAnySyntax(Class<?> klass, String resourceBasename, ConfigParseOptions baseOptions)

### parseResourcesAnySyntax

public static ConfigObject parseResourcesAnySyntax(String resourceBasename, ConfigParseOptions baseOptions)

### parseFileAnySyntax

public static ConfigObject parseFileAnySyntax(File basename, ConfigParseOptions baseOptions)

### emptyConfig

public static Config emptyConfig(String originDescription)

### fromAnyRef

public static ConfigValue fromAnyRef(Object object, String originDescription)

### fromPathMap

public static ConfigObject fromPathMap(Map<String,? extends Object> pathMap, String originDescription)

### systemPropertiesAsConfig

public static Config systemPropertiesAsConfig()

### reloadSystemPropertiesConfig

public static void reloadSystemPropertiesConfig()

### envVariablesAsConfig

public static Config envVariablesAsConfig()

### reloadEnvVariablesConfig

public static void reloadEnvVariablesConfig()

### envVariablesOverridesAsConfig

public static Config envVariablesOverridesAsConfig()

### reloadEnvVariablesOverridesConfig

public static void reloadEnvVariablesOverridesConfig()

### defaultReference

public static Config defaultReference(ClassLoader loader)

### defaultReferenceUnresolved

public static Config defaultReferenceUnresolved(ClassLoader loader)
This returns the unresolved reference configuration, but before doing so, it verifies that the reference configuration resolves, to ensure that it is self contained and doesn't depend on any higher level configuration files.

### traceLoadsEnabled

public static boolean traceLoadsEnabled()

### traceSubstitutionsEnabled

public static boolean traceSubstitutionsEnabled()

### trace

public static void trace(String message)

### trace

public static void trace(int indentLevel, String message)

### newSimpleOrigin

public static ConfigOrigin newSimpleOrigin(String description)

### newFileOrigin

public static ConfigOrigin newFileOrigin(String filename)

### newURLOrigin

public static ConfigOrigin newURLOrigin(URL url)

### newEnvVariable

public static ConfigOrigin newEnvVariable(String description)